petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMIsForest

Check whether a DM uses the DMFOREST interface for hierarchically-refined meshes

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMIsForest(DM dm, PetscBool *isForest)

Not Collective

### Input parameter

dm -the DM object

### Output parameter

isForest -whether dm is a subtype of DMFOREST

### See Also

DMFOREST, DMForestRegisterType()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages